bus_find_device_by_name
Prev | Device Drivers Base | Next

## Name

bus_find_device_by_name — device iterator for locating a particular device of a specific name

## Synopsis

`struct device * bus_find_device_by_name (` | struct bus_type * | bus,
| struct device * | start,
| const char * | name`)`;

## Arguments

`bus`

  bus type

`start`

  Device to begin with

`name`

  name of the device to match

## Description

This is similar to the `bus_find_device` function above, but it handles searching by a name automatically, no need to write another strcmp matching function.

Prev | Up | Next
bus_find_device | Home | bus_for_each_drv